Name:             webkitkde
Version:          0.0.1
Release:          0.2.20090924svn%{?dist}
Summary:          QtWebKit bindings to KDE
Group:            System Environment/Libraries
License:          LGPLv2+
URL:              http://techbase.kde.org/Projects/WebKit

# To create a tarball from svn use create_tarball.rb script
#
# http://websvn.kde.org/trunk/KDE/kdesdk/scripts/createtarball/
#
# To use it you will need the script itself and a config.ini in the same directory
# config.ini contents:
#
# [webkitkde]
# mainmodule   = playground
# submodule    = libs
# kde_release  = no
# version      = 0.0.1-svn
# docs         = no
#
# To create a new checkout use it with anonymous svn access
# ./create_tarball.rb -n -a webkitkde
# svn revision 1027811
Source0:          %{name}-%{version}-svn.tar.bz2
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:    cmake gettext
BuildRequires:    kdelibs4-devel

%description
This project aims to integrate WebKit (QtWebKit) into KDE.
The project is made up of the following components:
- WebKitKDE: The binding between KDE and QtWebKit
- WebKitPart: A KPart based on it
The WebKitKDE library sits on top of QtWebKit, providing
KDE integration (for example, WebActions using KDE icons
and shortcuts, downloading using KIO, etc).
%package devel
Summary:          Development files for %{name}
Group:            Development/Libraries
Requires:         kdelibs4-devel
Requires:         %{name} = %{version}-%{release}

%description devel
Development files for the %{name}.

%package -n webkitpart
Summary:          A KPart based on WebKitKDE library
Group:            System Environment/Libraries
%description -n webkitpart
WebKitPart is a KPart that allows KPart-based applications,
for example Konqueror, to make use of WebKit for viewing
web pages.

%package -n webkitpart-devel
Summary:          Development files for webkitpart
Group:            Development/Libraries
Requires:         %{name}-devel = %{version}-%{release}
Requires:         webkitpart = %{version}-%{release}
%description -n webkitpart-devel
Development files for the webkitpart.

%prep
%setup -q -n %{name}-%{version}-svn

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}

%install
rm -rf $RPM_BUILD_ROOT

make install/fast DESTDIR=$RPM_BUILD_ROOT -C %{_target_platform}
mkdir $RPM_BUILD_ROOT%{_kde4_appsdir}/webkitpart/kpartplugins

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%post -n webkitpart
/sbin/ldconfig
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null ||:

%posttrans -n webkitpart
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null ||:

%postun -n webkitpart
/sbin/ldconfig
if [ $1 -eq 0 ] ; then
  touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null ||:
  gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null ||:
fi

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README COPYING.LIB
%{_kde4_libdir}/libkdewebkit.so.*

%files devel
%defattr(-,root,root,-)
%doc README
%{_kde4_includedir}/KDE/KdeWebKit
%{_kde4_includedir}/kdewebkit
%{_kde4_libdir}/libkdewebkit.so
%{_kde4_appsdir}/cmake/modules/FindKdeWebKit.cmake

%files -n webkitpart
%defattr(-,root,root,-)
%doc README COPYING.LIB
%{_kde4_libdir}/kde4/webkitkdepart.so
%{_kde4_libdir}/libwebkitkde.so.*
%{_kde4_iconsdir}/hicolor/*/apps/webkit.png
%{_kde4_appsdir}/webkitpart
%{_kde4_datadir}/kde4/services/webkitpart.desktop

%files -n webkitpart-devel
%defattr(-,root,root,-)
%doc README
%{_kde4_includedir}/KDE/WebKitPart
%{_kde4_includedir}/webkitkde
%{_kde4_libdir}/libwebkitkde.so
%{_kde4_appsdir}/cmake/modules/FindWebKitPart.cmake

%changelog
* Sun Sep 27 2009 Alexey Kurov <nucleo@fedoraproject.org> - 0.0.1-0.2.20090924svn
- webkitpart should owns kpartplugins in webkitpart apps dir

* Thu Sep 24 2009 Alexey Kurov <nucleo@fedoraproject.org> - 0.0.1-0.1.20090924svn
- Initial RPM release
